// Actions generated from etcd rules, if any.
// Edit using confctl. See instructions for disabling them below.
// FILTER: enwiki_api_cloud
// Limit access to the enwiki api from the clouds
// This filter is generated from data in etcd. If you want to disable it, run the following command:
// confctl --object-type request-actions select 'name=enwiki_api_cloud,cluster=cache-text' set/enabled=false
if ((  req.url ~ "/w/api.php" ||  req.url ~ "^/api/rest_v1/" ) && ( std.ip(req.http.X-Client-IP, "192.0.2.1") ~ cloud-aws || std.ip(req.http.X-Client-IP, "192.0.2.1") ~ cloud-azure || std.ip(req.http.X-Client-IP, "192.0.2.1") ~ cloud-ovh ) &&  req.http.Host ~ "en.wikipedia.org"  && vsthrottle.is_denied("global:enwiki_api_cloud", 5000, 30s, 300s)) {
        return (synth(429, "We don't like clouds"));
}

// FILTER: requests_ua_api
// Disallow python-requests to access restbase or the action api
// This filter is generated from data in etcd. If you want to disable it, run the following command:
// confctl --object-type request-actions select 'name=requests_ua_api,cluster=cache-text' set/enabled=false
if ( req.http.User-Agent ~ "python-requests.*" && (  req.url ~ "^/api/rest_v1/" ||  req.url ~ "/w/api.php" )  && vsthrottle.is_denied("global:requests_ua_api", 500, 30s, 1000s)) {
        return (synth(429, "Please see our UA policy"));
}
